> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Bridge Wallets

> List of Bridge Wallets



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /wallets
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /wallets:
    get:
      tags:
        - Bridge Wallets
      summary: Get all Bridge Wallets
      description: List of Bridge Wallets
      parameters:
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/BridgeWalletStartingAfterParameter'
        - $ref: '#/components/parameters/BridgeWalletEndingBeforeParameter'
      responses:
        '200':
          description: List of Bridge Wallets
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BridgeWalletsList'
              examples:
                SuccessfulBridgeWalletListResponse:
                  $ref: '#/components/examples/SuccessfulBridgeWalletListResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    LimitParameter:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
      description: The number of items to return (min 1, default 10, max 100)
    BridgeWalletStartingAfterParameter:
      in: query
      name: starting_after
      schema:
        type: string
      description: >-
        This is a bridge wallet id. If this is specified, the next page that
        starts with a bridge wallet right AFTER the specified bridge wallet id
        on the bridge wallet timeline, which is always ordered from the newest
        to the oldest by creation time, will be returned. This also implies that
        bridge wallets older than the specified bridge wallet id will be
        returned (shouldn't be set if ending_before is set)
    BridgeWalletEndingBeforeParameter:
      in: query
      name: ending_before
      schema:
        type: string
      description: >-
        This is a bridge wallet id. If this is specified, the previous page that
        ends with a bridge wallet right BEFORE the specified bridge wallet id on
        the bridge wallet timeline, which is always ordered from the newest to
        the oldest by creation time, will be returned. This also implies that
        bridge wallets newer than the specified bridge wallet id will be
        returned (shouldn't be set if starting_after is set)
  schemas:
    BridgeWalletsList:
      type: object
      required:
        - count
        - data
      properties:
        count:
          description: total number of items in data
          type: integer
        data:
          type: array
          minItems: 0
          items:
            $ref: '#/components/schemas/BridgeWallet'
    BridgeWallet:
      required:
        - chain
      allOf:
        - $ref: '#/components/schemas/CreateBridgeWallet'
        - properties:
            id:
              $ref: '#/components/schemas/Id'
              readOnly: true
            chain:
              $ref: '#/components/schemas/BridgeWalletChain'
              description: The chain of the Bridge Wallet
              readOnly: true
            address:
              description: The blockchain address of the Bridge Wallet
              type: string
              readOnly: true
            initiation_required:
              readOnly: true
              type: boolean
              description: >-
                When present, transfers sourced from this wallet must include an
                `initiation` object on the create request. Omitted for wallets
                that do not require initiation data.
            created_at:
              readOnly: true
              type: string
              description: Time of creation of the Bridge Wallet
              format: date-time
            updated_at:
              readOnly: true
              type: string
              description: Time of most recent update of the Bridge Wallet
              format: date-time
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
    CreateBridgeWallet:
      required:
        - chain
      properties:
        chain:
          $ref: '#/components/schemas/BridgeWalletChain'
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    BridgeWalletChain:
      type: string
      enum:
        - base
        - ethereum
        - solana
        - tempo
        - tron
  examples:
    SuccessfulBridgeWalletListResponse:
      summary: A successful get response for a list of Bridge Wallets
      value:
        count: 1
        data:
          - id: bw_123
            chain: solana
            address: 9kV3ZMehKVyxfHKCcaDLye3P9HHw2MP4jtQa2gKBUmCs
            created_at: '2023-11-22T21:31:30.515Z'
            updated_at: '2023-11-22T21:31:30.515Z'
  responses:
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    NotFoundError:
      description: No resource found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            NotFoundErrorExample:
              summary: Invalid customer id
              value:
                code: Invalid
                message: Unknown customer id
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````